%define dist namespace-autoclean
Name: perl-%dist
Version: 0.11
Release: alt1

Summary: Keep imports out of your namespace
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Wed May 26 2010
BuildRequires: perl-Moose perl-namespace-clean

%description
When you import a function into a Perl package, it will naturally also be
available as a method.

The namespace::autoclean pragma will remove all imported symbols at the end
of the current package's compile cycle. Functions called in the package itself
will still be bound by their name, but they won't show up as methods on your
class or instances.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/namespace*

%changelog
* Wed May 26 2010 Alexey Tourbin <at@altlinux.ru> 0.11-alt1
- 0.09 -> 0.11

* Tue Apr 13 2010 Alexey Tourbin <at@altlinux.ru> 0.09-alt1
- initial revision, for DBIx::Class
